Package org.springframework.scheduling.annotation

# Class SchedulingConfiguration

java.lang.Object
org.springframework.scheduling.annotation.SchedulingConfiguration

@Configuration(proxyBeanMethods=false) @Role(2) public class SchedulingConfiguration extends Object
`@Configuration` class that registers a `ScheduledAnnotationBeanPostProcessor` bean capable of processing Spring's @`Scheduled` annotation.

This configuration class is automatically imported when using the `@EnableScheduling` annotation. See `@EnableScheduling`'s javadoc for complete usage details.

Since:
  3.1
Author:
  Chris Beams
See Also:
  - `EnableScheduling`
  - `ScheduledAnnotationBeanPostProcessor`

## Constructor Summary

Constructors
Constructor
Description
`SchedulingConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`ScheduledAnnotationBeanPostProcessor`
`scheduledAnnotationProcessor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SchedulingConfiguration

public SchedulingConfiguration()

## Method Details

### scheduledAnnotationProcessor

@Bean(name="org.springframework.context.annotation.internalScheduledAnnotationProcessor") @Role(2) public ScheduledAnnotationBeanPostProcessor scheduledAnnotationProcessor()